\name{searchIn}
\alias{searchIn}
\title{Perform a pattern search in a database table}
\description{
  \code{searchIn} With this function it is possible to search a word or a pattern string in a database table. The function returns all the rows from the table where the string was found.
}
\usage{
searchIn(Con,name=NULL,pattern=NULL,where=NULL)
}
\arguments{
  \item{Con}{A connection object (create it with the dbConnect.PgSQL.conn function from the package RdbiPgSQL)}
  \item{name}{The table name}
  \item{pattern}{The string or part of the string that should be searched.}
  \item{where}{An optional parameter that specifies the column where the string should be searched in the table. If not submitted, the function searches the string in all columns that are from the SQL data type TEXT.}
}
\details{
This function searches the string submitted with the SQL command \code{LIKE \%pattern\%}. So the string to search can be inside a word, or be the word itself. As a pattern search is only defined for text strings, the function will search only in those columns that contain text. So for all columns that have some SQL datatype different from TEXT (for example BOOL or INT) no search is performed. 
}
\references{}
\author{Johannes Rainer}


\examples{
}

\keyword{data}

